Arbor 3: FSM & BT Graph Editor 3.5.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
OutputSlotAny Class Reference

どんな型も出力する出力スロットクラス More...

Inheritance diagram for OutputSlotAny:

## Public Member Functions
| OutputSlotAny ()
| OutputSlotAnyデフォルトコンストラクタ More...
| OutputSlotAny (System.Type targetType)
| OutputSlotAnyコンストラクタ More...
void | SetValue (object value)
| 値を設定する More...
Public Member Functions inherited from OutputSlotBase
void | AddOutputBranch (DataBranch branch)
| DataBranchの追加。 More...
void | RemoveOutputBranch (DataBranch branch)
| DataBranchの削除。 More...
int | GetOutputBranchCount ()
| DataBranchの個数を取得。 More...
DataBranch | GetOutputBranch (int index)
| DataBranchの取得。 More...
bool | IsConnectedOutput (DataBranch branch)
| DataBranchと接続しているか判定する。 More...
override void | Disconnect ()
| 接続を切断する。 More...

## Properties
override System.Type | dataType`[get]`
| スロットに格納されるデータの型 More...
Properties inherited from OutputSlotBase
override SlotType | slotType`[get]`
| スロットの種類 More...
Properties inherited from DataSlot
abstract SlotType | slotType`[get]`
| スロットの種類 More...
abstract System.Type | dataType`[get]`
| スロットに格納されるデータの型 More...

## Additional Inherited Members
Public Attributes inherited from OutputSlotBase
List< int > | branchIDs = new List<int>()
| 接続先のブランチのリスト More...
Public Attributes inherited from DataSlot
NodeGraph | nodeGraph
| スロットが属しているステートマシン More...
Rect | position
| スロットのArborEditor上の位置(Editor Only) More...
Events inherited from DataSlot
System.Action< bool > | onConnectionChanged
| 接続が変更されたときのコールバックイベント More...

## Detailed Description

どんな型も出力する出力スロットクラス

使用可能な属性 :

- SlotTypeAttribute

## Constructor & Destructor Documentation

OutputSlotAny | ( |  | ) |

OutputSlotAnyデフォルトコンストラクタ

OutputSlotAny | ( | System.Type | targetType | ) |

OutputSlotAnyコンストラクタ

Parameters

  targetType | 出力の型

## Member Function Documentation

void SetValue | ( | object | value | ) |

値を設定する

Parameters

  value | 設定する値

## Property Documentation

override System.Type dataType
| get

スロットに格納されるデータの型